#!/bin/sh

. /usr/share/sentinelle/utils/dbs.inc

if [ "$VERSION" = "1" ] ; then
	echo " La base doit être au moins en version 2"
	exit
fi

ID="$1"
SERVEUR="$2"

if [ "$ID" == "" ] ;then
	echo "ID Zephir incorrect"
	echo "usage : $0 <ID> <AMON|SCRIBE|HORUS>"
	exit
fi

if [ "$SERVEUR" == "" ] ; then
	echo "Type de SERVEUR non renseigné"
	echo "usage : $0 <ID> <AMON|SCRIBE|HORUS>"
	exit
fi

OLD=""
TABLES=`$DBPersistance "SHOW TABLES"`
echo "Suppresion de l'ID $ID de la base Sentinelle pour les serveurs de type [$SERVEUR]"
echo -n "Confirmez-vous la suppression o/n ?" 
read REP
if [ "$REP" != "o" ] ; then
	echo "Ok, je n'en ferais rien."
  	exit
fi

echo -n " -> Suppression en cours...."
for TABLE in `echo $TABLES`; do
	L=`echo $TABLE | grep ^$SERVEUR"_"`
	if [ $? -eq 0 ] ; then
		$DBLatest "DELETE FROM $TABLE WHERE srvkey = '$ID'"
	fi
done
echo " OK"
echo ""




